class NUIAuthLoginResult<T>{

  NUIAuthLoginResult({required this.accessToken, required this.refreshToken, required this.email, this.mobileNo, this.displayName, this.ssoLoginResult});
  String accessToken;
  String refreshToken;
  String email;
  String? mobileNo;
  String? displayName;
  T? ssoLoginResult;
}

class NUIAuthSignUpResult{
  NUIAuthSignUpResult({required this.signupToken, required this.userId});
  String signupToken;
  String userId;
}

class NUIAuthRenewTokenResult{
  NUIAuthRenewTokenResult({required this.accessToken, required this.refreshToken, required this.expiresIn, this.tokenType});
  String accessToken;
  String refreshToken;
  int expiresIn;
  String? tokenType;
}