import 'package:nui_core/data/nui_ent.dart';

class NUIAuthForgotPasswordReq extends NUIEnt<NUIAuthForgotPasswordReq>{

  NUIAuthForgotPasswordReq({required this.email, this.provider});
  NUIAuthForgotPasswordReq.empty();
  late String email;
  String? provider;

  @override
  NUIEntMapper<NUIAuthForgotPasswordReq> mapper() => NUIAuthForgotPasswordReqEnt();

}

class NUIAuthForgotPasswordReqEnt extends NUIEntMapper<NUIAuthForgotPasswordReq>{

  @override
  String entityName() => "NUIAuthForgotPasswordReqEnt";

  @override
  List<NUIEntField> fields() {
    return [
      NUIEntField<NUIAuthForgotPasswordReq>(name: "email", type: NUIEntType.STRING, setter: (data, value) => data.email = value, getter: (data) => data.email),
      NUIEntField<NUIAuthForgotPasswordReq>(name: "provider", type: NUIEntType.STRING, setter: (data, value) => data.provider = value, getter: (data) => data.provider),
    ];
  }

  @override
  NUIAuthForgotPasswordReq newInstance() => NUIAuthForgotPasswordReq.empty();

}