import 'package:nui_core/data/nui_ent.dart';

class NUIGoogleLoginResult extends NUIEnt<NUIGoogleLoginResult>{
  NUIGoogleLoginResult.empty();
  NUIGoogleLoginResult({
    // this.account,
    this.idToken,
    required this.id,
    this.displayName,
    required this.email,
    required this.isExpired,
    this.photoUrl,
    this.serverAuthCode
  });
  // NUIGoogleAccount? account;
  String? idToken;
  late String id;
  String? displayName;
  late String email;
  late bool isExpired;
  String? photoUrl;
  String? serverAuthCode;

  @override
  NUIEntMapper<NUIGoogleLoginResult> mapper() => NUIGoogleLoginResultEnt();
}
class NUIGoogleLoginResultEnt extends NUIEntMapper<NUIGoogleLoginResult>{
  @override
  String entityName() => "NUIGoogleLoginResult";

  @override
  List<NUIEntField> fields() => [
    // NUIEntField<NUIGoogleLoginResult>(name: "account", type: NUIEntType.STRING, setter: (data, value) => data.account = asObject<NUIGoogleAccount>(NUIGoogleAccountEnt(), value), getter: (data) => data.account),
    NUIEntField<NUIGoogleLoginResult>(name: "idToken", type: NUIEntType.STRING, setter: (data, value) => data.idToken = value, getter: (data) => data.idToken),
    NUIEntField<NUIGoogleLoginResult>(name: "id", type: NUIEntType.STRING, setter: (data, value) => data.id = value, getter: (data) => data.id),
    NUIEntField<NUIGoogleLoginResult>(name: "displayName", type: NUIEntType.STRING, setter: (data, value) => data.displayName = value, getter: (data) => data.displayName),
    NUIEntField<NUIGoogleLoginResult>(name: "email", type: NUIEntType.STRING, setter: (data, value) => data.email = value, getter: (data) => data.email),
    NUIEntField<NUIGoogleLoginResult>(name: "isExpired", type: NUIEntType.BOOLEAN, setter: (data, value) => data.isExpired = value, getter: (data) => data.isExpired),
    NUIEntField<NUIGoogleLoginResult>(name: "photoUrl", type: NUIEntType.STRING, setter: (data, value) => data.photoUrl = value, getter: (data) => data.photoUrl),
    NUIEntField<NUIGoogleLoginResult>(name: "serverAuthCode", type: NUIEntType.STRING, setter: (data, value) => data.serverAuthCode = value, getter: (data) => data.serverAuthCode),
  ];

  @override
  NUIGoogleLoginResult newInstance() => NUIGoogleLoginResult.empty();
}

// class NUIGoogleAccount extends NUIEnt<NUIGoogleAccount>{
//   NUIGoogleAccount({this.name, this.type});
//   NUIGoogleAccount.empty();
//   String name;
//   String type;
//
//   @override
//   NUIEntMapper<NUIGoogleAccount> mapper() => NUIGoogleAccountEnt();
// }
// class NUIGoogleAccountEnt extends NUIEntMapper<NUIGoogleAccount>{
//   @override
//   String entityName() => "NUIGoogleAccount";
//
//   @override
//   List<NUIEntField> fields() => [
//     NUIEntField<NUIGoogleAccount>(name: "name", type: NUIEntType.STRING, setter: (data, value) => data.name = value, getter: (data) => data.name),
//     NUIEntField<NUIGoogleAccount>(name: "type", type: NUIEntType.STRING, setter: (data, value) => data.type = value, getter: (data) => data.type),
//   ];
//
//   @override
//   NUIGoogleAccount newInstance() => NUIGoogleAccount.empty();
// }