import 'package:nui_core/data/nui_ent.dart';

class NUIAuthChangePasswordReq extends NUIEnt<NUIAuthChangePasswordReq>{
  NUIAuthChangePasswordReq.empty();
  NUIAuthChangePasswordReq({required this.oldPassword, required this.newPassword, required this.confirmPassword, this.provider});
  late String oldPassword;
  late String newPassword;
  late String confirmPassword;
  String? provider;

  @override
  NUIEntMapper<NUIAuthChangePasswordReq> mapper() => NUIAuthChangePasswordReqEnt();
}
class NUIAuthChangePasswordReqEnt extends NUIEntMapper<NUIAuthChangePasswordReq>{
  @override
  String entityName() => "NUIAuthChangePasswordReq";

  @override
  List<NUIEntField> fields() => [
    NUIEntField<NUIAuthChangePasswordReq>(name: "oldPass", type: NUIEntType.STRING, setter: (data, value) => data.oldPassword = value, getter: (data) => data.oldPassword),
    NUIEntField<NUIAuthChangePasswordReq>(name: "newPass", type: NUIEntType.STRING, setter: (data, value) => data.newPassword = value, getter: (data) => data.newPassword),
    NUIEntField<NUIAuthChangePasswordReq>(name: "confirmPass", type: NUIEntType.STRING, setter: (data, value) => data.confirmPassword = value, getter: (data) => data.confirmPassword),
    NUIEntField<NUIAuthChangePasswordReq>(name: "provider", type: NUIEntType.STRING, setter: (data, value) => data.provider = value, getter: (data) => data.provider),
  ];

  @override
  NUIAuthChangePasswordReq newInstance() => NUIAuthChangePasswordReq.empty();
}